/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Controllers.Client;


import javafx.beans.property.SimpleLongProperty;
import javafx.beans.property.SimpleStringProperty;

/**
 *
 * @author Maher
 */
public class ListeClientEntreprise {
    
    private final SimpleStringProperty code;
    private final SimpleStringProperty NomEntreprise;
    private final SimpleStringProperty gerant;
    private final SimpleStringProperty matricule;
    private final SimpleStringProperty adresse;
    private final SimpleStringProperty Telephone;
    private final SimpleStringProperty Telephone2;

    public ListeClientEntreprise(String code, String nomEtr, String gerant, String matricule, String adresse, String Telephone, String Telephone2) {
        this.code = new SimpleStringProperty(code);   
        this.NomEntreprise = new SimpleStringProperty(nomEtr);
        this.gerant = new SimpleStringProperty(gerant);
        this.matricule = new SimpleStringProperty(matricule);
        this.adresse = new SimpleStringProperty(adresse);
        this.Telephone = new SimpleStringProperty(Telephone);
        this.Telephone2 = new SimpleStringProperty(Telephone2);
    }

    

    public String getCode() {
        return code.get();
    }

    public String getNomEntreprise() {
        return NomEntreprise.get();
    }

    public String getGerant() {
        return gerant.get();
    }

    public String getMatricule() {
        return matricule.get();
    }

    public String getAdresse() {
        return adresse.get();
    }

    public String getTelephone() {
        return Telephone.get();
    }
    
    public String getTelephone2() {
        return Telephone2.get();
    }
    
}
